// declaration of ITypeLibmarshaledEliza interface 

import "oaidl.idl" ;

[ uuid(088AFA02-DB7C-11d0-9121-00608C86B89C), oleautomation]

interface ITypeLibMarshaledEliza : IUnknown
{
	HRESULT Complain ([in] BSTR bstrIn, [out, retval] BSTR *pbstrOut) ;
};

// declaration of coclass
	
[ uuid(088AFA01-DB7C-11d0-9121-00608C86B89C), version(1.0) ]

library TypeLibMarshaledElizaTlb
{
	[ uuid(088AFA00-DB7C-11d0-9121-00608C86B89C) ]

	coclass TypeLibMarshaledEliza
	{
		[default] interface ITypeLibMarshaledEliza ;
	};
};


